Update a webhook subscription
curl --request PATCH \
--url https://api.balansas.com/functions/v1/customer-api/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "<string>",
"description": "<string>",
"eventTypes": [],
"isActive": true
}
'import requests
url = "https://api.balansas.com/functions/v1/customer-api/webhooks/{webhookId}"
payload = {
"url": "<string>",
"description": "<string>",
"eventTypes": [],
"isActive": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', description: '<string>', eventTypes: [], isActive: true})
};
fetch('https://api.balansas.com/functions/v1/customer-api/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"url": "https://example.com/webhooks/balansas",
"description": "Production payment events",
"event_types": [
"payment.created",
"payee.status_updated"
],
"is_active": true,
"signing_secret_prefix": "whsec_ab",
"consecutive_failures": 0,
"disabled_at": null,
"disabled_reason": null,
"created_at": "2026-05-28T11:02:09.456Z",
"updated_at": "2026-05-28T11:02:09.456Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Webhooks
Update a webhook subscription
PATCH
/
webhooks
/
{webhookId}
Update a webhook subscription
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Body
application/json
Maximum string length:
2048Maximum string length:
500Required array length:
1 - 50 elementsAvailable options:
payment.created, payment.status_updated, payment.completed, payment.failed, fiat_account.created, fiat_account.status_updated, fiat_account.balance_updated, virtual_account.created, virtual_account.status_updated, virtual_account.balance_updated, end_user.created, end_user.status_updated, end_user.review_required, payee.created, payee.status_updated Response
Success
Show child attributes
Show child attributes
⌘I

